ros-noetic-chomp-motion-planner (1.1.11-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.10-1buster) buster; urgency=high

  * Fix segfaults in CHOMP (#3204 <https://github.com/ros-planning/moveit/issues/3204>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.9-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.8-1buster) buster; urgency=high

  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit/issues/2955>)
    
      * Add stomp planner to MSA
      * Add OMPL-CHOMP planner to MSA
      * Remove obsolete CHOMP parameters
      * Update CHOMP config parameters to match code defaults
      * Create CHOMP config via template (instead of code)
    
  * Contributors: Rick Staa

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.7-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.6-1buster) buster; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * CHOMP: Rename param 'clearence' to 'clearance' (#2702 <https://github.com/ros-planning/moveit/issues/2702>, #2707 <https://github.com/ros-planning/moveit/issues/2707>)
  * Contributors: Martin Günther, Michael Görner, Robert Haschke, pvanlaar

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.5-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.4-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.3-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.2-1buster) buster; urgency=high

  * Sanitize CHOMP initialization method parameter (#2540 <https://github.com/ros-planning/moveit/issues/2540>)
  * Contributors: Cong Liu

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.1-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.0-1buster) buster; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Unified Collision Environment Integration (#1584 <https://github.com/ros-planning/moveit/issues/1584>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix calculation of potential (#1651 <https://github.com/ros-planning/moveit/issues/1651>)
  * [fix] Fix Chomp planning adapter (#1525 <https://github.com/ros-planning/moveit/issues/1525>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Bence Magyar, Dave Coleman, Jens P, Jonathan Binney, Markus Vieth, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.6-1buster) buster; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.5-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.4-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.3-1buster) buster; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Remove GCC extensions (#1583 <https://github.com/ros-planning/moveit/issues/1583>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]   Fix possible division-by-zero (#1809 <https://github.com/ros-planning/moveit/issues/1809>)
  * Contributors: Max Krichenbauer, Robert Haschke, Sean Yen, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 25 Apr 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.2-1buster) buster; urgency=high

  * [fix] Fix chomp planner (#1512 <https://github.com/ros-planning/moveit/issues/1512>)
    * Fix start-state handling
    * remove time parameterization from planning code
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.1-1buster) buster; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 07 Mar 2019 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.0-1buster) buster; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 23 Feb 2019 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.10.8-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 23 Dec 2018 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.10.7-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 12 Dec 2018 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.10.6-1buster) buster; urgency=high

  * [fix] memory leak (ChompOptimizer)
  * [fix] Set last_state for active joints only (#1222 <https://github.com/ros-planning/moveit/issues/1222>)
  * [maintenance] Rearranged CHOMP-related modules within moveit_planners/chomp (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Remove ChompParameters::getNonConstParams() (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * [maintenance] Code Cleanup (#1179 <https://github.com/ros-planning/moveit/issues/1179>)
  * Contributors: Dave Coleman, Michael Görner, Robert Haschke, Shingo Kitagawa

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 08 Dec 2018 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.10.5-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 31 Oct 2018 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.10.4-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.10.3-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.10.2-1buster) buster; urgency=high

  * [fix] Eigen alignment issuses due to missing aligned allocation (#1039 <https://github.com/ros-planning/moveit/issues/1039>)
  * [fix] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [fix] changelogs: migration from tf -> tf2 only accidentally became part of 0.9.12's changelog
  * [capability] Addition of CHOMP planning adapter for optimizing result of other planners (#1012 <https://github.com/ros-planning/moveit/issues/1012>)
  * [capability] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)
  * [capability] cleanup of unused parameters and code + addition of trajectory initialization methods (linear, cubic, quintic-spline) (#960 <https://github.com/ros-planning/moveit/issues/960>)
  * Contributors: Adrian Zwiener, Raghavender Sahdev, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 23 Oct 2018 22:00:00 -0000

ros-noetic-chomp-motion-planner (0.10.1-1buster) buster; urgency=high

  * [fix] for chomp fixed base joint bug (#870 <https://github.com/ros-planning/moveit/issues/870>)
  * [maintenance] MoveIt tf2 migration (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * [maintenance] switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Contributors: Bence Magyar, Dave Coleman, Ian McMahon, Mike Lautman, Xiaojian Ma

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 24 May 2018 22:00:00 -0000

ros-noetic-chomp-motion-planner (0.9.11-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 24 Dec 2017 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.9.10-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 08 Dec 2017 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.9.9-1buster) buster; urgency=high

  * [improve] Chomp use PlanningScene (#546 <https://github.com/ros-planning/moveit/issues/546>) to partially address #305 <https://github.com/ros-planning/moveit/issues/305>
  * Contributors: Simon Schmeisser

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 05 Aug 2017 22:00:00 -0000

ros-noetic-chomp-motion-planner (0.9.8-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 20 Jun 2017 22:00:00 -0000

ros-noetic-chomp-motion-planner (0.9.7-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 04 Jun 2017 22:00:00 -0000

ros-noetic-chomp-motion-planner (0.9.6-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 11 Apr 2017 22:00:00 -0000

ros-noetic-chomp-motion-planner (0.9.5-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 07 Mar 2017 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.9.4-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 05 Feb 2017 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.9.3-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 15 Nov 2016 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.9.2-1buster) buster; urgency=high

  * [Maintenance] Auto format codebase using clang-format (#284 <https://github.com/ros-planning/moveit/issues/284>)
  * Contributors: Dave Coleman, Isaac I.Y. Saito

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 04 Nov 2016 23:00:00 -0000

ros-noetic-chomp-motion-planner (0.9.0-1buster) buster; urgency=high

  * Use shared_ptr typedefs in collision_distance_field and chomp.
  * Fix CHOMP planner and CollisionDistanceField (#155 <https://github.com/ros-planning/moveit/issues/155>)
    * Copy collision_distance_field package
    * Resurrect chomp
    * remove some old Makefiles and manifests
    * Correct various errors
    * Code formatting, author, description, version, etc
    * Add definitions for c++11. Nested templates problem.
    * Add name to planner plugin.
    * Change getJointModels to getActiveJointModels.
    * Call robot_state::RobotState::update in setRobotStateFromPoint.
    * Create README.md
    * Improve package.xml, CMake config and other changes suggested by jrgnicho.
    * Remove some commented code, add scaling factors to computeTimeStampes
    * Add install targets in moveit_experimental and chomp
    * Add install target for headers in chomp pkgs.
    * Remove unnecessary debugging ROS_INFO.
    * Port collision_distance_field test to indigo.
    * Remove one assertion that makes collision_distance_field test to fail.
  * Contributors: Chittaranjan Srinivas Swaminathan, Maarten de Vries

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 18 Oct 2016 22:00:00 -0000

ros-noetic-chomp-motion-planner (0.8.3-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 20 Aug 2016 22:00:00 -0000


